com.holonplatform.jaxrs.client.reactor.internal

## Class JaxrsReactiveRestClientFactory

- java.lang.Object
- - com.holonplatform.jaxrs.client.reactor.internal.JaxrsReactiveRestClientFactory

- All Implemented Interfaces:
    com.holonplatform.reactor.http.ReactiveRestClientFactory

      @Priority(value=100)
      public class JaxrsReactiveRestClientFactory
      extends Object
      implements com.holonplatform.reactor.http.ReactiveRestClientFactory

  A `ReactiveRestClientFactory` to provide JAX-RS `ReactiveRestClient` implementations using `ReactiveRestClientFactory`.
  Since:
    5.2.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.reactor.http.ReactiveRestClientFactory

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsReactiveRestClientFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.holonplatform.reactor.http.ReactiveRestClient` | `create(ClassLoader classLoader)`
    `Class<?>` | `getRestClientImplementationClass()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxrsReactiveRestClientFactory

          public JaxrsReactiveRestClientFactory()

  - ### Method Detail

    - #### getRestClientImplementationClass

          public Class<?> getRestClientImplementationClass()

      Specified by:
        `getRestClientImplementationClass` in interface `com.holonplatform.reactor.http.ReactiveRestClientFactory`

    - #### create

          public com.holonplatform.reactor.http.ReactiveRestClient create(ClassLoader classLoader)
                                                                   throws com.holonplatform.http.exceptions.RestClientCreationException

      Specified by:
        `create` in interface `com.holonplatform.reactor.http.ReactiveRestClientFactory`
      Throws:
        `com.holonplatform.http.exceptions.RestClientCreationException`

Copyright © 2019 The Holon Platform. All rights reserved.